#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-FkC5XW1aOeTA7wVH0QVwVt
key:                  persistent-test-2.13.1.3-FkC5XW1aOeTA7wVH0QVwVt
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  a3d9e793ebf33c84103d83067b3072c2
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-FkC5XW1aOeTA7wVH0QVwVt
depends:
    HUnit-1.6.2.0-97xBWcV8rDfFJ9vOfx6qeF
    QuickCheck-2.14.3-LCsv9wYGoQYCenYxAs7qF3
    aeson-2.1.2.1-JO9urWGr49o9eoGVjGK4co base-4.16.4.0
    blaze-html-0.9.2.0-JMm0FhdqIMm37wsoldZtrV bytestring-0.11.4.0
    conduit-1.3.6-FZw1AQ1Yu0zJoUSDEcVVmd containers-0.6.5.1
    exceptions-0.10.4 hspec-2.10.9-B1uTl3wb9kL43ncO0d8mQU
    hspec-expectations-0.8.3-LpY7TebtnUpJzVInwheKLs
    http-api-data-0.5.1-69OFABoHy0NGBXT6kgS0vW
    monad-control-1.0.3.1-I8GZevPHGG9CaaoPHICfGK
    monad-logger-0.3.40-BzjXSErvMMO1xonHqiIvZ6 mtl-2.2.2
    path-pieces-0.2.1-E15XfVOwfTfIr2VliI4YGA
    persistent-2.14.5.1-DEeyG7ctq4DFnStNm1ST8y
    quickcheck-instances-0.3.30-B3qgVDI5tKpK3wHpeCdUmv
    random-1.2.1.2-1gZGqew6Xvt4ONznLXzqak
    resourcet-1.2.6-F3hFtpgsdsH2ggg8dzKPYt text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-L226RdjYZ7s6DhRd0WmCwN
    unliftio-0.2.25.0-KDb4wZM5NxjDfwcvgFyJuw
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-Drb3pnWri2WKY9CcAugfcS

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

